Retrieve public search-service country catalog
curl --request GET \
--url https://api.fetchhive.com/v1/public/search_services/{service}/countriesimport requests
url = "https://api.fetchhive.com/v1/public/search_services/{service}/countries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fetchhive.com/v1/public/search_services/{service}/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"service": "google_ai_overview",
"name": "Google AI Overview",
"country_value_field": "google_location_name",
"country_value_format": "country_name",
"countries": [
{
"country_name": "United States",
"alpha2": "US",
"value": "US"
}
]
}{
"error": "unsupported_service",
"supported_services": [
"google_search",
"google_news",
"google_ai_mode",
"google_ai_overview",
"bing_search"
]
}Search Services
Retrieve public search-service country catalog
Returns the country catalog for one supported search workflow service.
Use each country object’s value field when configuring that service.
GET
/
v1
/
public
/
search_services
/
{service}
/
countries
Retrieve public search-service country catalog
Path Parameters
Search workflow service key.
Available options:
google_search, google_news, google_ai_mode, google_ai_overview, bing_search Response
Bing Search country catalog returned
Was this page helpful?

